View Issue Details

IDProjectCategoryView StatusLast Update
0023396mantisbtapi restpublic2017-10-29 01:50
ReporterelmarculinoAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.6.0 
Target Version2.8.0Fixed in Version2.8.0 
Summary0023396: REST API Issue update support
Description

Support updating an issue from a POST to the issues/update REST API url.

TagsNo tags attached.

Relationships

related to 0022786 new Support CRUD operations for issue notes 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master f57697d2

2017-10-14 17:30:27

elmarculino


Committer: vboctor Details Diff
Support issue update REST API

Fixes 0023396
mod - api/rest/restcore/issues_rest.php Diff File

MantisBT: master d33a5dc7

2017-10-14 17:49:34

vboctor

Details Diff
Support patching issues with only updated fields

Fixes 0023396
mod - api/rest/restcore/issues_rest.php Diff File

MantisBT: master 9e355f35

2017-10-14 22:27:06

vboctor

Details Diff
Make sure issue id in body and URL match

Fixes 0023396
mod - api/rest/restcore/issues_rest.php Diff File

Issue History

Date Modified Username Field Change
2017-09-25 06:59 elmarculino New Issue
2017-10-21 23:08 vboctor Changeset attached => MantisBT master f57697d2
2017-10-21 23:08 vboctor Changeset attached => MantisBT master d33a5dc7
2017-10-21 23:08 vboctor Changeset attached => MantisBT master 9e355f35
2017-10-21 23:08 vboctor Assigned To => vboctor
2017-10-21 23:08 vboctor Status new => resolved
2017-10-21 23:08 vboctor Resolution open => fixed
2017-10-21 23:08 vboctor Fixed in Version => 2.8.0
2017-10-21 23:17 vboctor Target Version => 2.8.0
2017-10-28 19:08 vboctor Status resolved => closed
2017-10-29 01:50 vboctor Relationship added related to 0022786